      subroutine gettime(out)
      implicit none
      include 'md.inc'
      character*20 out
      integer clock_end, t_rate, t_max, diff
      integer day, hour, min, sec, msec
      real*8  time_secnds
      call system_clock(clock_end, t_rate, t_max)
      if (clock_end < clock_start) then
        diff = (t_max - clock_start) + clock_end + 1
      else
        diff = clock_end - clock_start
      endif
      msec = diff / (t_rate / 1000)
      call divmod(msec, sec , 1000)
      call divmod(sec , min , 60)
      call divmod(min , hour, 60)
      call divmod(hour, day , 24)
      time_secnds = dble(diff) / dble(t_rate)
      write(*,'(a,a,a)') '********* ',out,
     &   ' *******************************************'
      write(*,'(a,i3,a,i2,a,i2,a,f5.2,a,a,f15.2,a)') 'Elapsed time=',
     &     day,' days ',hour,' hours ',min,' min. ',
     &     (dble(sec) + dble(msec) / 1000.0d0), ' sec. ',
     &     '( ',time_secnds,' sec)'
      write(*,'(a,a/)') '*************************************',
     &                  '*************************************'
      contains
        subroutine divmod(r, q, m)
        integer q, r, m ! r -> r % m; q = r / m
        q = r / m
        r = r - q * m
        return
        endsubroutine
      end
