#!/bin/csh -fx

#set NPROC = 1
#set NTHREADS = 4

#set SCRDIR = "/scratch/${LOGNAME}/NH3_multi_avdz_s1_0.025_cas8_7.$2"
#set WFUDIR = ${SCRDIR}
set WORK = $PWD
set INPUT = 'molpro.com'

switch ( "$HOST" )
  case "cctx7?": ! ccatx at RCCS (from ccfep1)
    set PGM = /local/apl/tx7/molpro-tuned/parallel/molpro2006.1/bin/molpro
    setenv TMPDIR /work/users/${LOGNAME}/molpro
    set NPROC = 1
    set NTHREADS = 2
    breaksw
  case "kyu-sr??": ! muromi at Kyushu
    set PGM = /usr/local/molpro2006.1_mpi/bin/molpro
    set NPROC = 1
    set NTHREADS = 2
    breaksw
  case "sha?": ! theo-bcn* at Nanbu Lab
#    set PGM = /usr/local/molpro2010.1.23_mpp/bin
#    set PGM = /usr/local/molpro/molpros_2010_1_Linux_x86_64_i8/bin/
#    set PGM = /usr/local/molpro2010.1.26_xe_2011_c/molpros_2010_1_Linux_x86_64_i8/bin
    set PGM = /usr/local/barcelona/molpros_2012_1_Linux_x86_64_i8/bin
    set NPROC = 1
    set NTHREADS = 2
    breaksw
  case "sha?": ! theo-sha* at Nanbu Lab
#    set PGM = /usr/local/molpro2010.1.23_mpp/bin
#    set PGM = /usr/local/molpro/molpros_2010_1_Linux_x86_64_i8/bin/
#    set PGM = /usr/local/molpro2010.1.26_xe_2011_c/molpros_2010_1_Linux_x86_64_i8/bin
    set PGM = /usr/local/shanghai/molpros_2012_1_Linux_x86_64_i8/bin
    set NPROC = 1
    set NTHREADS = 2
    breaksw
  case "mcs?": ! theo-mcs* at Nanbu Lab
#   set PGM = /usr/local/molpro2010.1.23_mpp/bin
#    set PGM = /usr/local/molpro/molpros_2010_1_Linux_x86_64_i8/bin/
#    set PGM = /usr/local/molpro2010.1.26_xe_2011_c/molpros_2010_1_Linux_x86_64_i8/bin
    set PGM = /usr/local/AMD/pl5/molpros_2012_1_Linux_x86_64_i8/bin
    set NPROC = 1
    set NTHREADS = 2
    setenv MKL_CBWR "AVX"
    breaksw
  case "nep?": ! theo-nep* at Nanbu Lab
#   set PGM = /usr/local/molpro2010.1.23_mpp/bin
#    set PGM = /usr/local/molpro/molpros_2010_1_Linux_x86_64_i8/bin/
#    set PGM = /usr/local/molpro2010.1.26_xe_2011_c/molpros_2010_1_Linux_x86_64_i8/bin
#    set PGM = /usr/local/nehalem/molpros_2012_1_Linux_x86_64_i8/bin
    set PGM = /usr/local/magnycours/molprop_2012_1_Linux_x86_64_i8/bin
    set NPROC = 1
    set NTHREADS = 2
    setenv MKL_CBWR "AVX"
    breaksw
  case "wep?": ! theo-wep* at Nanbu Lab
#   set PGM = /usr/local/molpro2010.1.23_mpp/bin
#    set PGM = /usr/local/molpro/molpros_2010_1_Linux_x86_64_i8/bin/
#    set PGM = /usr/local/molpro2010.1.26_xe_2011_c/molpros_2010_1_Linux_x86_64_i8/bin
#    set PGM = /usr/local/westmere/molpros_2012_1_Linux_x86_64_i8/bin
    set PGM = /usr/local/magnycours/molprop_2012_1_Linux_x86_64_i8/bin
    set NPROC = 1
    set NTHREADS = 2
    setenv MKL_CBWR "AVX"
    breaksw
  case "sep?": ! theo-sep* at Nanbu Lab
#   set PGM = /usr/local/molpro2010.1.23_mpp/bin
#    set PGM = /usr/local/molpro/molpros_2010_1_Linux_x86_64_i8/bin/
#    set PGM = /usr/local/molpro2010.1.26_xe_2011_d/molpros_2010_1_Linux_x86_64_i8/bin
#    set PGM = /usr/local/murakami/molpros_2012_1_Linux_x86_64_i8/bin
    set PGM = /usr/local/sandybridge/pl5/molpros_2012_1_Linux_x86_64_i8/bin
    set NPROC = 1
    set NTHREADS = 2
    setenv MKL_CBWR "AVX"
    breaksw
  default:
#    set PGM = /usr/local/molpro2010.1.23_mpp/bin
#    set PGM = /usr/local/molpro/molpros_2010_1_Linux_x86_64_i8/bin/
#    set PGM = /usr/local/molpro2010.1.26_xe_2011_d/molpros_2010_1_Linux_x86_64_i8/bin
#    set PGM = /usr/local/murakami/molpros_2012_1_Linux_x86_64_i8/bin
    set PGM = /usr/local/sandybridge/pl5/molpros_2012_1_Linux_x86_64_i8/bin
    set NPROC = 1
    set NTHREADS = 2
    setenv MKL_CBWR "AVX"
    breaksw
  breaksw
endsw

which molpro

#if (${SCRDIR} != "") then
#  #${MOLPRO} -t ${NTHREAD} -d ${WORK} -I ${WORK} -W ${WORK} ${INPUT}
#  ${PGM}/molpro -t${NTHREADS} -d ${SCRDIR} -W ${WFUDIR} -n ${NPROC} $1
#else
#  ${PGM}/molpro -t${NTHREADS} -n ${NPROC} $1
#endif
${PGM}/molpro -t ${NTHREADS} -d ${WORK} -W ${WORK} -n ${NPROC} ${INPUT}

perl punfilter.pl molpro.pun

