<?php
  # $srcname is dummy to ignore $0
  # Usage: php molpro_inp.php indgna from(state) to(state)
  # e.g. : php molpro_inp.php 1 3 2 < ini.xyz
  list($srcname, $indgna, $from, $to, $xyzname) = $argv;
  if (count($argv) != 5) {
    fputs(STDERR, "Invalid Arguments!\n");
    die(1);
  }
?>
memory,2000,m
punch,molpro.pun;
status,2,clear;

basis=midi-bang;

symmetry, nosym;
orient, noorient;
angstrom;

geomtyp=xyz;
geometry={
<?php
  if ($xyzname === "-") {
    echo file_get_contents("php://stdin");
  } else {
    if ($contents = file_get_contents("$xyzname")) {
      echo $contents;
    } else {
      fputs(STDERR, "Failed to open file $xyzname.\n");
      die(1);
    }
  }
?>
}

int;

{multi;
maxit,40;
FAILSAFE;
occ,8;
closed,1;
wf,10,1,0;
state,2;
<?php
  if ($indgna == 1 || $indgna == 4) {
    echo "cpmcscf,grad,state=$from.1;\n";
  } else if ($indgna == 2) {
    echo "cpmcscf,nacm,state=$from.1,$to.1\n";
  } else if ($indgna == 3) {
    fputs(STDERR, "Warning !!! using indgna == 3 in mcscf\n");
    echo "cpmcscf,dgrad,state=$from.1,$to.1\n";
  }
?>
natorb,print,ci;
}

<?php
  if (($indgna == 1) || ($indgna == 2) || ($indgna == 4)) {
    echo "force;\n";
  } else if ($indgna == 3) {
    fputs(STDERR, "Warning !!! using indgna == 3 in mcscf\n");
    echo "force;\n";
  }
?>

<?php
  if ($indgna == 4) {
    echo "{frequencies;\nprint,hessian}\n";
  }
?>
---
