#!/bin/csh -fvx

unalias *

if ($1 == "") then
  echo 'Usage : tsh.csh <data file>'
  exit 1
else if (! -e $1) then
  echo "$1 is not exist!"
  exit 1
endif

set HERE     = ${PWD}
set TSH_INP  = $1
set TSH_EXE  = ./tsh_nh3.x
set TSH_OUT  = $1:r.res
set PYTHON3    = /usr/local/osamu/Python3.5.1/bin/python3

if (-f $TSH_OUT) then
  cp -pf $TSH_OUT $TSH_OUT.bak
endif

${PYTHON3} namelist.py $1 | source /dev/stdin
if (${__nml_tsh_param_restart} == '.false.') then
  echo This is a fresh job.
  set RESTART = 0
else
  echo This is a restart job.
  set RESTART = 1
endif

if ($RESTART == 0) then
  ${TSH_EXE} ${HERE}/${TSH_INP} >& ${HERE}/${TSH_OUT} 
else
  ${TSH_EXE} ${HERE}/${TSH_INP} >>& ${HERE}/${TSH_OUT} 
endif

cd ${HERE}
